{% extends 'base.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}

{% block body %}
    <h1>
        {{ referentiel.name }}
    </h1>

    <hr>

    {{ referentiel.description | raw }}

    {% if (referentiel.file is not empty ) %}
        <hr>

        <table class="table table-striped table-hover">
            <thead>
                <tr>
                    <th scope="col">Nom du fichier</th>
                    <th scope="col">Action</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <th>
                        {{ referentiel.file.fileName }}
                    </th>

                    <th>
                        {{ macro.downloadButton('app_file_download', referentiel.file.id) }}
                    </th>
                </tr>
            </tbody>
        </table>
    {% endif %}

    <hr>

    {{ macro.backButton('app_referentiel_index') }}

{% endblock %}
